package com.sw.mes.yb.pc.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.yb.pc.entity.CarrierConfig;
import com.sw.mes.yb.pc.dao.CarrierConfigDao;
import com.sw.mes.yb.pc.service.CarrierConfigService;


/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Service
@Transactional
public class CarrierConfigServiceImpl extends BaseServiceImpl<CarrierConfig> implements CarrierConfigService {
    CarrierConfigDao dao;

	@Autowired
    public void setDao(CarrierConfigDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }

    @Override
    public CarrierConfig findByTypeDesc(Integer type) {
        return dao.findByTypeDesc(type);
    }

    @Override
    public CarrierConfig checkCarrierNo(String carrierNo) {
        return dao.checkCarrierNo(carrierNo);
    }

    @Override
    public CarrierConfig checkStatusCarrierNo(String carrierNo) {
        return dao.checkStatusCarrierNo(carrierNo);
    }

    @Override
    public CarrierConfig findCarrierInfoBoxNo(String carrierNo) {
        return dao.findCarrierInfoBoxNo(carrierNo);
    }
}
